function Im = condition_initiale(N,N_cas),
c_x = linspace(-1,1,N)'*ones(1,N);
c_y=c_x';

switch N_cas,
    case 5,
        Im = zeros(N,N);
        temp = phantom('Modified Shepp-Logan',3*N/4);
        Im(N/8+1:7*N/8,N/8+1:7*N/8) = temp;
    case 4,  %%%%%%%%%% somme d'ellipse,
        R = 0.7;
        r = 0.1;
        Im = (1/2 - 1/2*tanh( N/10*((1/R*c_x).^2 + (1/r*c_y).^2 -1))) + ...
             (1/2 - 1/2*tanh( N/10*((1/R*c_x).^2 + (1/r*(c_y-3*r)).^2 -1))) +...
             (1/2 - 1/2*tanh( N/10*((1/R*c_x).^2 + (1/r*(c_y+3*r)).^2 -1))) ;
        Im = Im';
        
    case 1, %%%% cercle centré
        R = 0.3;
         Im = (1/2 - 1/2*tanh( N/10*((1/R*(c_x)).^2 + (1/R*(c_y)).^2 -1)));
    case 2,  %%%%% carré
        Im = zeros(N,N);
        Im(N/4+1:3*N/4,N/4+1:3*N/4) = ones(N/2);
    case 3, %%%% cercle decentré
            R = 0.3;
         Im = (1/2 - 1/2*tanh( N/10*((1/R*(c_x-1.5*R)).^2 + (1/R*(c_y)).^2 -1)));
     case 6, %%%% 2 cercle 
         R = 0.2;
         Im = (1/2 - 1/2*tanh( N/10*((1/R*(c_x)).^2 + (1/R*(c_y)).^2 -1)))+ (1/2 - 1/2*tanh( N/10*((1/R*(c_x-0.7)).^2 + (1/R*(c_y)).^2 -1)));
              
        
    otherwise
        Im = zeros(N,N);

end