function Im = iRadon_circular(I_Radon,N,Theta)
Im = zeros(N,N);
c_x = linspace(-1,1,N)'*ones(1,N);
c_y=c_x';

[N_theta,N_R] = size(I_Radon);


c_r = linspace(0,2,N_R);
c_r_temp = c_r;
c_r_temp(1)=1;
i_c_r = 1./c_r_temp;
delta_R = c_r(2) - c_r(1);

G_Radon = zeros(N_theta,N_R);

%%%%%%%%%%%%%%%%%% precalcul A et B;
A = zeros(N_R,N_R-1);
B = zeros(N_R,N_R-1);
eps = 10^(-60);
for k = 1:N_R,
    for k_prim = 1:N_R-1,
        A(k,k_prim) = ((c_r(k_prim +1) -c_r(k) + eps)*log(abs(c_r(k_prim +1) -c_r(k)) + eps) + (c_r(k_prim+1) +c_r(k))*log(abs(c_r(k_prim+1) +c_r(k)))) ...
                    - ((c_r(k_prim)    -c_r(k)+ eps )*log(abs(c_r(k_prim)    -c_r(k)) + eps) + (c_r(k_prim)+c_r(k)+ eps)*log(abs(c_r(k_prim) +c_r(k))+ eps )) ...
          - 2*delta_R;
        
        B(k,k_prim) = - c_r(k_prim)*A(k,k_prim)  ...
           + ( (c_r(k_prim +1)^2 -c_r(k)^2)*log(abs(c_r(k_prim +1)^2 -c_r(k)^2)+ eps ) - c_r(k_prim +1)^2 )/2  ...
            - ((c_r(k_prim)^2 -  c_r(k)^2 )*log(abs(c_r(k_prim)^2 -c_r(k)^2)+ eps ) - c_r(k_prim)^2)/2 ;   
        end
end



C = (-2*diag(ones(1,N_R)) + diag(ones(1,N_R-1),-1) +  diag(ones(1,N_R-1),+1))/((delta_R)^2);
%C = (diag(ones(1,N_R-1),-1) - diag(ones(1,N_R-1),+1))/((delta_R))*diag(i_c_r);

D = zeros(N_R,N_R);

D(1:N_R,1:N_R-1) = A - B/delta_R;
D(:,2:N_R) = D(:,2:N_R) + B/delta_R;

D = D*C;

 for i_theta=1:N_theta,
    GG_Radon(i_theta,:) = D*I_Radon(i_theta,:)';
 end
% [U,S,V] = svd(D);
%  imagesc(S)

Im = Radon_circular_adjoint(GG_Radon,N,Theta)/(4*pi^2);
% To test just backprojection.s
%Im = Radon_circular_adjoint(I_Radon,N,Theta)/(4*pi^2);